org.vishia.gral.awt

## Class AwtGralMouseListener.MouseListenerNoAction

- java.lang.Object
- - org.vishia.gral.awt.AwtGralMouseListener.MouseListenerNoAction

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.util.EventListener
  Direct Known Subclasses:
    AwtGralMouseListener.MouseListenerGralAction
  Enclosing class:
    AwtGralMouseListener

      public static class AwtGralMouseListener.MouseListenerNoAction
      extends java.lang.Object
      implements java.awt.event.MouseListener

  This class implements a MouseListener which does not call a user method. Only the information about the clicked widget are stored in the GralMng and the Gral designer is supported.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `xDown`
    `(package private) int` | `yDown`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MouseListenerNoAction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseClicked(java.awt.event.MouseEvent e)` The mouse doubleclick is left empty.
    `void` | `mouseEntered(java.awt.event.MouseEvent e)`
    `void` | `mouseExited(java.awt.event.MouseEvent e)`
    `void` | `mousePressed(java.awt.event.MouseEvent ev)` The mouse-down action save some informations about the widget.
    `void` | `mouseReleased(java.awt.event.MouseEvent ev)` The mouse up is left empty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xDown

          int xDown

    - #### yDown

          int yDown

  - ### Constructor Detail

    - #### MouseListenerNoAction

          public MouseListenerNoAction()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent ev)

      The mouse-down action save some informations about the widget. It may be overridden by an derived class, then this method should be invoked within.
      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent ev)

      The mouse up is left empty. It may be overridden by an derived class.
      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`

    - #### mouseClicked

          public void mouseClicked(java.awt.event.MouseEvent e)

      The mouse doubleclick is left empty. It may be overridden by an derived class.
      Specified by:
        `mouseClicked` in interface `java.awt.event.MouseListener`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent e)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`

    - #### mouseExited

          public void mouseExited(java.awt.event.MouseEvent e)

      Specified by:
        `mouseExited` in interface `java.awt.event.MouseListener`